/*
   Copyright (C) 2006-2009
   by Marco Gulino <marco.gulino@gmail.com>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2.1 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

// Here we avoid loading the header multiple times
#ifndef TOGGLEPANEL_HEADER
#define TOGGLEPANEL_HEADER
// We need the Plasma Applet headers
#include <KIcon>

#include <Plasma/Applet>
#include <Plasma/Svg>

class QSizeF;
class KComboBox;
// Define our plasma Applet
class TogglePanel : public Plasma::Applet
{
    Q_OBJECT
    public:
        // Basic Create/Destroy
        TogglePanel(QObject *parent, const QVariantList &args);
        ~TogglePanel();


        void init();
	virtual void createConfigurationInterface(KConfigDialog *parent);

    private:
      QHash<uint, Plasma::Containment*> getPanels(bool excludeMine=false);
      QString locationToString(Plasma::Location location) const;
      KComboBox *kcfg_combo_panel;
      uint currentPanel;
      uint oldState;

  private slots:
    void configured();
    void togglePanel();
};
 
// This is the command that links your applet to the .desktop file
K_EXPORT_PLASMA_APPLET(togglepanel, TogglePanel)
#endif
